blad = 0;
if siat == 1
    for i = 1:ilp
        if Kr(i,1) <= 0 || Kr(i,2) <= 0 || (Kr(i,1) == Kr(i,2))
            blad = 1;
        end
    end
    Tab = zeros(ilp,1);
    for i = 1:ilp
        if Kr(i,1) > 0
            Tab(Kr(i,1)) = Tab(Kr(i,1)) + 1;
        end
        if Kr(i,2) > 0
            Tab(Kr(i,2)) = Tab(Kr(i,2)) + 1;
        end
    end
    if min(Tab) < 2 || max(Tab) > 2
        blad = 1;
    end
    if blad == 1
        siat = 0;
        errordlg('BD! PROSZ SPRAWDZI DANE / ERROR! CHECK DATA', 'BD / ERROR','modal');
    end
    if siat == 1
        clear x y
        [Kr1, Xk1, Yk1] = linia_brzegowa(ilp,Kr,Xk,Yk);
        Dlx = zeros(ilp,1); Dly = zeros(ilp,1);
        Dlxmin = 1; Dlymin = 1;
        eps = 10^-12;
        ilx = 0; ily = 0;
        for i=1:ilp
            n1 = Kr(i,1); n2 = Kr(i,2);
            x1 = Xk(n1); y1 = Yk(n1);
            x2 = Xk(n2); y2 = Yk(n2);
            dlx = abs(x2-x1); dly = abs(y2-y1);
            if abs(dlx) > eps
                il = 0;
                for j=1:ilx
                    if abs(Dlx(j,1)-dlx) < eps
                        il = il + 1;
                    end
                end
                if il == 0
                    ilx = ilx + 1;
                    Dlx(ilx,1) = dlx;
                    Dlxmin = Dlxmin*dlx;
                end
            end
            
            if abs(dly) > eps
                il = 0;
                for j=1:ily
                    if abs(Dly(j,1)-dly) < eps
                        il = il + 1;
                    end
                end
                if il == 0
                    ily = ily + 1;
                    Dly(ily,1) = dly;
                    Dlymin = Dlymin*dly;
                end
            end
        end
        Dlx(ilx+1:end) = [];
        Dly(ily+1:end) = [];
        Dlxmin = Dlx(1);
        for i=1:ilx-1
            if i==1
                a = Dlx(i,1);
            else
                a = Dlxmin;
            end
            b = Dlx(i+1,1);
            Dlxmin = NWD(a,b);
        end
        
        Dlymin = Dly(1);
        for i=1:ily-1
            if i==1
                a = Dly(i,1);
            else
                a = Dlymin;
            end
            b = Dly(i+1,1);
            Dlymin = NWD(a,b);
        end
        
        xmax = max(Xk); xmin = min(Xk);
        ymax = max(Yk); ymin = min(Yk);
        hxc = Dlxmin/(nx-1); hyc = Dlymin/(ny-1);
        nxc = round((xmax - xmin)/hxc + 1);
        nyc = round((ymax - ymin)/hyc + 1);
        nc = nxc*nyc;
        Xc = zeros(nc,1); Yc = zeros(nc,1);
        x = xmin; y = ymin;
        j = 1;
        for i=1:nc
            Xc(i) = x;
            Yc(i) = y;
            x = x + hxc;
            j = j + 1;
            if j>nxc % przejcie na jeden poziom wyej
                j = 1;
                x = xmin;
                y = y + hyc;
            end
        end
        
        Xc1 = zeros(size(Xc));
        Yc1 = zeros(size(Yc));
        WB = zeros(size(Xc));
        nc1 = 0;
        
        for i = 1:nc
            x = Xc(i); y = Yc(i);
            c1 = pwew(x,y,Xk1,Yk1,ilp);
            c3 = pbrzeg(x,y,ilp,Kr,Xk,Yk);
            if c1 == 1 || c3 == 1
                nc1 = nc1 + 1;
                Xc1(nc1) = Xc(i);
                Yc1(nc1) = Yc(i);
                WB(nc1) = c3;
            end
        end
        WB(nc1+1:end,:) = [];
        X = Xc1(1:nc1);
        Y = Yc1(1:nc1);
        n = nc1;
        xmin = min(X); xmax = max(X); 
        ymin = min(Y); ymax = max(Y); 
        if n < 3 || (xmax - xmin)<10^-12 || (ymax - ymin)<10^-12
            blad = 1;
            siat = 0;
            errordlg('BD! ZA MAA GSTO / ERROR! TOO SMALL DENSITY', 'BD / ERROR','modal');
        end
        if blad == 0
            T = delaunay(X,Y);
            ile = size(T,1);
            
            T1 = zeros(size(T));
            ile1 = 0;
            for i = 1:ile
                w = T(i,:);
                xt = X(w); yt = Y(w);
                xs = sum(xt)/3; ys = sum(yt)/3;
                c1 = pwew(xs,ys,Xk1,Yk1,ilp);
                if c1 == 1
                    ile1 = ile1 + 1;
                    T1(ile1,:) = T(i,:);
                end
            end
            T1(ile1+1:end,:) = [];
            Tel = T1; ile = ile1;
            RYS(3) = 1;
            %     Pc = struct([]);
            %     il = 0;
            %     for j=1:nyc-1
            %         for i=1:nxc-1
            %             n1 = i + (j-1)*nxc;
            %             n2 = i + 1 + (j-1)*nxc;
            %             n3 = i + 1 + (j)*nxc;
            %             n4 = i + j*nxc;
            %             Pc(il+1).X = [Xc(n1) Xc(n2)];
            %             Pc(il+1).Y = [Yc(n1) Yc(n3)];
            %             Pc(il+1).w = [n1 n2 n3 n4];
            %             xs = 0.5*(sum(Pc(il+1).X));
            %             ys = 0.5*(sum(Pc(il+1).Y));
            %             Pc(il+1).c1 = pwew(xs,ys,Xp,Yp,ilp);
            %             pocz = 1;
            %             kon = ilp;
            %             Pc(il+1).c1 = pwew(xs,ys,Xk(pocz:kon),Yk(pocz:kon),ilp);
            %             Pc(il+1).c2 = 0;
            %             if Pc(il+1).c1==1 && Pc(il+1).c2==0
            %                 c = 1;
            %                 for k=1:4
            %                     x = Xc(Pc(il+1).w(k));
            %                     y = Yc(Pc(il+1).w(k));
            %                     c1 = pwew(x,y,Xp,Yp,ilp);
            %                     c1 = pwew(x,y,Xk(pocz:kon),Yk(pocz:kon),ilp);
            %                     c2 = 0;
            %                     c3 = pbrzeg(x,y,ilp,Kr,Xk,Yk);
            %                     if (c1==0 || c2==1) && c3==0
            %                         c = 0;
            %                     end
            %                 end
            %                 if c==1
            %                     il = il + 1;
            %                 end
            %             end
            %         end
            %     end
            %     Xc1 = zeros(nc,1);
            %     Yc1 = zeros(nc,1);
            %     nc = il;
            %     eps = 10^-12;
            %     ilc = 0;
            %     for i=1:nc
            %         w = Pc(i).w;
            %         w1 = zeros(4,1);
            %         for j=1:4
            %             x = Xc(w(j));
            %             y = Yc(w(j));
            %             il = 0;
            %             for k=1:ilc
            %                 d = sqrt( (x - Xc1(k))^2 + (y - Yc1(k))^2 );
            %                 if d<eps
            %                     il = k;
            %                 end
            %             end
            %             if il==0
            %                 ilc = ilc + 1;
            %                 Xc1(ilc) = x;
            %                 Yc1(ilc) = y;
            %                 il = ilc;
            %             end
            %             w1(j) = il;
            %         end
            %         Pc(i).w = w1;
            %         Pc(i).X = [Xc1(w1(1)) Xc1(w1(2))];
            %         Pc(i).Y = [Yc1(w1(1)) Yc1(w1(3))];
            %     end
            %     Xc1(ilc+1:end) = [];
            %     Yc1(ilc+1:end) = [];
            %     Xc = Xc1;
            %     Yc = Yc1;
            %     clear Xc1 Yc1;
            %     WBc = zeros(ilc,4);
            %     for i=1:ilc
            %         [WBc(i,1), nrkr] = pbrzeg(Xc(i),Yc(i),ilp,Kr,Xk,Yk);
            %         if WBc(i,1)==1
            %             WBc(i,2) = length(nrkr);
            %             for j=1:length(nrkr)
            %                 WBc(i,2+j) = nrkr(j);
            %             end
            %         end
            %     end
            %     X = Xc;
            %     Y = Yc;
            %     WB = WBc;
            %     n = ilc;
            %     ile = nc;
            %     T = zeros(ile,4);
            %     for i=1:ile
            %         T(i,:) = Pc(i).w;
            %     end
            syms x y
        end
    end
end
rozw = 0;