%% RYSUNEK
subplot(2,2,4);
hold off
%plot3(0,0,0,'w.');

Lx = abs(max(Xk) - min(Xk));
Ly = abs(max(Yk) - min(Yk));
if brzeg == 1 && rozw == 0
    for i = 1:ilp
        n1 = Kr(i,1);
        n2 = Kr(i,2);
        if n1 > 0 && n2 > 0           
            plot3([Xk(n1) Xk(n2)],[Yk(n1) Yk(n2)],[0 0],'k-','linewidth',3);
            hold on
            if RYS(2) == 1
                text(0.5*sum(Xk([n1 n2]))+0.03*Lx,0.5*sum(Yk([n1 n2]))-0.06*Ly,num2str(['T_',num2str(i),'=',num2str(Tb)]),'BackGroundColor','w',...
                    'EdgeColor','k','Linewidth',2);
            end
        end
    end
end

if rozw == 0
    for i = 1:ilp
        plot3(Xk(i),Yk(i),0,'bs','markerfacecolor','b');
        hold on
        if RYS(1) == 1
            text(Xk(i)+0.02*Lx,Yk(i)-0.02*Ly,num2str(i),'Backgroundcolor','w','Edgecolor','k');
        end
    end
end

if siat == 1 && rozw == 0
    plot3(X,Y,zeros(size(X)),'ro','markerfacecolor','w');    
    hold on
    plot3(X(WB(:,1)==1),Y(WB(:,1)==1),zeros(size(Y(WB(:,1)==1))),'ro','markerfacecolor','r');    
end
if rozw == 0
    view(2);
    axis equal
end
if rozw == 1
    for i = 1:ile
        w = Tel(i,:);
        xt = X(w); yt = Y(w); zt = Temp(w);        
        kol = zt;
        if RYS(3) == 1
            zt = zeros(size(zt));
        end
        patch(xt,yt,zt,kol,'edgecolor','interp');
        hold on
    end
    title(['AKTUALNE WYNIKI / CURRENT RESULTS: n = ',num2str(n),...
        ', T_m_i_n = ',num2str(Tmin),'^oC, T_m_a_x = ',num2str(Tmax),'^oC'],'fontsize',9,'fontweight','bold','backgroundcolor','w');
    colorbar();
    view(2);
    axis tight
end
if siat == 1
    if RYS(3) == 1
        for i = 1:n
            text(X(i)+0.02*Lx,Y(i)-0.02*Ly,num2str(i),'Fontsize',6,'Backgroundcolor','w','Edgecolor','k');
        end
    end
end
grid on